@echo off

REM See https://frippery.org/busybox/
set BB=.\bin\busybox.exe

REM HTTPD PORT
set PORT=80

REM Populate some variables
FOR /F "delims=" %%i IN ('%BB% uname -a') DO set OS=%%i
FOR /F "delims=" %%i IN ('%BB% pwd') DO set PWD=%%i
FOR /F "delims=" %%i IN ('%BB% grep "DATAROOT" ./settings/getdata.conf') DO set LINE=%%i
FOR /F "delims=" %%i IN ('type version') DO set VERSION=%%i
set ROOTDIR=%PWD%/root

REM Make substitution from configuration template files in order to obtain right configuration files
%BB% sed -e "s!{path}!%PWD%!g" ./settings/httpd.conf | ^
%BB% sed -e "s!{rootdir}!%ROOTDIR%!g" | ^
%BB% sed -e "s!{port}!%PORT%!g" > %PWD%/apache2/conf/httpd.conf
%BB% sed -e "s!{path}!%PWD%!g" ./settings/php.ini > %PWD%/php/php.ini

REM Screen
echo ! Welcome to the ODAM Web Server - Version %VERSION%
echo !
echo ! %OS%
echo ! Server Root = %PWD%
echo !
echo ! %LINE%
echo ! URL : http://localhost/getdata/
echo !
echo ! Running ...
echo !
echo ! Note : you must leave this window open as long as you need to use the ODAM API.
echo !        To exit the ODAM web server, simply close this window

REM Launch httpd server
cd .\apache2\bin
httpd.exe
